import java.util.Enumeration;
import java.util.NoSuchElementException;

public class ArrayEnumeration implements Enumeration
{
    private Object[] values;
    private int      size;
    private int      counter;

    public ArrayEnumeration( Object[] values, int size )
    {
        this.values = values;
        this.size   = size;

        counter     = 0;
    }

    public boolean hasMoreElements()
    {
        return ( counter < size );
    }

    public Object nextElement()
    {
        if ( !hasMoreElements() )
            throw new NoSuchElementException();

        Object answer = values[counter];
        counter++;

        return answer;
    }
}
